import request from "../request";

// 报名
export function postBaoming(data) {
  return request({
    url: '/train/training/apply',
    method: 'post',
    data,
  })
}

export function postBaomingNoToken(data) {
  return request({
    url: '/train/training/offApply',
    method: 'post',
    data,
    headers: {
      isToken: false
    }
  })
}


export function getSignUpList(query) {
    return request({
      url: `/train/trainClassList`,
      method: 'get',
      params: query,
    })
}
export function getmySignUpList(query) {
    return request({
      url: `/train/myTrainingList`,
      method: 'get',
      params: query,

    })
}


// 班级列表get /train/portal
export function getClassList(query) {
  return request({
    url: `/train/portal`,
    method: 'get',
    params: query,
    headers: {
      isToken: false
    }
  })
}

// 报名

// 教师列表
export function getTeacherList() {
  return request({
    url: `/talent/portal/teachers`,
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

// 师资力量表单获取-不需要token
export function getTeacherForm() {
  return request({
    url: `/train/trainTeacherClass`,
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

// 师资报名-不需要token
export function BaomingNoToken(data) {
  return request({
    url: '/train/training/offApply',
    method: 'post',
    data,
    headers: {
      isToken: false
    }
  })
}

// 轮播图
export function getSwiperImages(){
  return request({
    url: '/train/banners',
    headers: {
      isToken: false
    }
  })
}